Bug 1734691 - ath10k_pci firmware crash on Dell XPS 13 9380
Summary: ath10k_pci firmware crash on Dell XPS 13 9380
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 08:27 UTC by Julian Stecklina
Modified: 2019-11-29 07:43 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 20:12:08 UTC


Attachments (Terms of Use)

Description Julian Stecklina 2019-07-31 08:27:54 UTC
1. Please describe the problem:

On a particular (public Cafe) WiFi network, I observe my ath10k_pci device to crash. It claims to recover, but afterwards the network is unusable until restart or module unload/reload.

On a subjective level, the likelihood decreases with better reception.

wlp2s0    IEEE 802.11  ESSID:"xxx"  
          Mode:Managed  Frequency:5.28 GHz  Access Point: 00:2A:10:D8:63:1E   
          Bit Rate=6 Mb/s   Tx-Power=18 dBm   
          Retry short limit:7   RTS thr:off   Fragment thr:off
          Power Management:on
          Link Quality=49/70  Signal level=-61 dBm  
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:25   Missed beacon:0

02:00.0 Network controller [0280]: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter [168c:003e] (rev 32)
	Subsystem: Bigfoot Networks, Inc. Killer 1435 Wireless-AC [1a56:143a]
	Flags: bus master, fast devsel, latency 0, IRQ 161
	Memory at dc000000 (64-bit, non-prefetchable) [size=2M]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/8 Maskable+ 64bit-
	Capabilities: [70] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [148] Virtual Channel
	Capabilities: [168] Device Serial Number 00-00-00-00-00-00-00-00
	Capabilities: [178] Latency Tolerance Reporting
	Capabilities: [180] L1 PM Substates
	Kernel driver in use: ath10k_pci
	Kernel modules: ath10k_pci



[68964.765668] ath10k_pci 0000:02:00.0: firmware crashed! (guid ff17199b-b49c-4f9b-9722-0c27f47e290d)
[68964.765678] ath10k_pci 0000:02:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 1a56:143a
[68964.765683] ath10k_pci 0000:02:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[68964.767448] ath10k_pci 0000:02:00.0: firmware ver RM.4.4.1.c2-00057-QCARMSWP-1 api 6 features wowlan,ignore-otp,no-4addr-pad,raw-mode crc32 e061250a
[68964.768788] ath10k_pci 0000:02:00.0: board_file api 2 bmi_id N/A crc32 4ed3569e
[68964.768794] ath10k_pci 0000:02:00.0: htt-ver 3.56 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
[68964.768953] ath10k_pci 0000:02:00.0: firmware register dump:
[68964.768957] ath10k_pci 0000:02:00.0: [00]: 0x05030000 0x000015B3 0x009FEEA3 0x00955B31
[68964.768961] ath10k_pci 0000:02:00.0: [04]: 0x009FEEA3 0x00060530 0x0000000C 0x00000001
[68964.768964] ath10k_pci 0000:02:00.0: [08]: 0x00000001 0x0029BDAE 0x0029D136 0x0029C2F2
[68964.768967] ath10k_pci 0000:02:00.0: [12]: 0x00000009 0x00000000 0x00A091E0 0x00A091EE
[68964.768971] ath10k_pci 0000:02:00.0: [16]: 0x00952CC4 0x0091080D 0x00000000 0x0091080D
[68964.768974] ath10k_pci 0000:02:00.0: [20]: 0x409FEEA3 0x0040E8D8 0x0029C4F6 0x00000000
[68964.768977] ath10k_pci 0000:02:00.0: [24]: 0x80A054D9 0x0040E938 0x00000000 0xC09FEEA3
[68964.768980] ath10k_pci 0000:02:00.0: [28]: 0x809FEC42 0x0040E958 0x000070A4 0x0000003F
[68964.768983] ath10k_pci 0000:02:00.0: [32]: 0x809EA6AA 0x0040E988 0x00407E84 0x001B3208
[68964.768986] ath10k_pci 0000:02:00.0: [36]: 0x809E58BB 0x0040E9B8 0x0040A054 0x0041293C
[68964.768989] ath10k_pci 0000:02:00.0: [40]: 0x809EF38A 0x0040E9E8 0x0040A054 0x00000001
[68964.768992] ath10k_pci 0000:02:00.0: [44]: 0x809FDC11 0x0040EA28 0x0040A054 0x00499EA8
[68964.768994] ath10k_pci 0000:02:00.0: [48]: 0x809143A7 0x0040EA68 0x00499EB4 0x00424660
[68964.768997] ath10k_pci 0000:02:00.0: [52]: 0x809FAFCB 0x0040EA88 0x00411770 0x004117E0
[68964.769000] ath10k_pci 0000:02:00.0: [56]: 0x809FAD26 0x0040EAA8 0x00000000 0x00000000
[68964.769003] ath10k_pci 0000:02:00.0: Copy Engine register dump:
[68964.769015] ath10k_pci 0000:02:00.0: [00]: 0x00034400  11  11   3   3
[68964.769026] ath10k_pci 0000:02:00.0: [01]: 0x00034800  13  13 410 411
[68964.769037] ath10k_pci 0000:02:00.0: [02]: 0x00034c00  45  45  44  45
[68964.769047] ath10k_pci 0000:02:00.0: [03]: 0x00035000  13  13  15  13
[68964.769058] ath10k_pci 0000:02:00.0: [04]: 0x00035400 1879 1879 237 173
[68964.769076] ath10k_pci 0000:02:00.0: [05]: 0x00035800   0   0  64   0
[68964.769087] ath10k_pci 0000:02:00.0: [06]: 0x00035c00  20  20  17  17
[68964.769097] ath10k_pci 0000:02:00.0: [07]: 0x00036000   1   1   1   1
[68964.836403] ieee80211 phy0: Hardware restart was requested
[68965.008008] ath10k_pci 0000:02:00.0: unsupported HTC service id: 1536
[68965.137050] ath10k_pci 0000:02:00.0: device successfully recovered


2. What is the Version-Release number of the kernel:

5.1.18-300.fc30.x86_64

(But also happened with earlier versions)

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

No, I don't remember this working before. At least not in the 5.x timeframe.


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

Place laptop in a location with poor WiFi reception and wait. Happens every couple of hours.

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

Not tested.

6. Are you running any modules that not shipped with directly Fedora's kernel?:

No.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

See above. I can provide more logs if required.

Comment 1 Julian Stecklina 2019-07-31 09:40:18 UTC
This Ubuntu issue looks very similar: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1807974

Comment 2 Justin M. Forbes 2019-08-20 17:39:39 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.2.9-200.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2019-09-17 20:12:08 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.